Jump to content

HFSLIP - Test releases


Tomcat76
 Share

Recommended Posts


1/2 OK...

Without the merger of IE7 update the installation is clean, but it's impossible the manual update of KB947864: install error - "File of the package not compatible with files in the system.".

This means that ie7_inst. exe is poorly constructed?

Now I try after delete of all MP11 update (probably unnecessary) and, after HFANSWER.INI modify, I will try with the slipstream, although I imagine by messages in tread, that everything will be fine... in case you will let you know in short time.

bye

HFSLIP_LOG_withoutIE7update.zip

Link to comment
Share on other sites

It's the same version. The executable's size is the same, the time stamp is the same, and all files within have the same date.

The problem with IE7_INST.EXE was that the SP2 binaries weren't force-copied. HFSLIP 1.7.6rc5 only did that when IE7 was slipstreamed. This problem should be fixed in 1.7.6rc6.

Link to comment
Share on other sites

@Tomcat

I confirm ... all ok!

Now the installation is clean and the system is properly updated.

Today try the slipstream of IE7 and if everything is ok I will use the tacit consent ... ;)

Again thanks for all the good work, and best wishes for the future!

Link to comment
Share on other sites

Hello all, i got the latest version of hfslip(rc7), but he don't split my messenger.msi.

I put the messenger.msi file in HFSVCPACK_SW1 folder.

My Windows have SP3 (final version) and i got this version in MSDN home page.

Somebody have this problem too?

Sorry for my terrible english!

Edited by Ehdu
Link to comment
Share on other sites

I integrated SP3 with nLite and next I remove components, disable services e integrate addons.

All run fine in my Vmware, compiled autoit scrips too.

I used hfslip-1.7.6rc7 to integrate few hotfixes and cabs, install in Vmware and autoit scripst fail to exectute.

One error is "framedyn.dll not found" and the other is "-1 - variable can be object".

The final result is theme not applied and other "replaced" programs not installed.

What are the problem with autoit scripts found for you?

0d

nLite___Last_session.rar

HFSLIP_Log.rar

Edited by 0d14r3
Link to comment
Share on other sites

HFSLIP should always be run on a clean source.

If you wan't to use HFSLIP together with nLite, then you'll have to use HFSLIP first.

Please redo on a clean source and report back if problems persists...

Link to comment
Share on other sites

@Ehdu

It appears that messenger.msi can't be installed at T-13. Someone else already noticed that.

@0d14r3

From what you're saying, it is unclear to me if you used a clean source for HFSLIP or not. As Martin H points out, you should first run HFSLIP on a clean source.

If you used HFSLIP first and then nLite, then the problem might be that you don't know what the HFSLIP_POST_getnewfiles_v3.cmd plugin is for. If this plugin is in the HFTOOLS folder, a file named NEWBIN.TXT is created when HFSLIP has finished. This file contains the file names that you should enter in nLite's Keep box. I can't see any trace of the files that were slipstreamed by HFSLIP in the [KeepFiles] section of nLite's LAST SESSION.INI log you provided.

Link to comment
Share on other sites

1 - SOURCE= WINXP SP2

2 - nLite SOURCE integrating SP3

3 - SOURCE=WINXP SP3

4 - copy SOURCE to OS

5 - nLite OS with addon+remove components+disables services = ISO_OS

6 - Install ISO_OS in Vmware = all ok, include addon with compiled autoit scripts

7 - Delete OS

NOW WITH HFSLIP

1 - HFSLIP SOURCE (3) with few hotfixes and cab files (using hfslip-1.7.6rc7)

2 - SOURCESS is created

3 - copy SOURCESS to OS

4 - nLite OS with addon+remove components+disables services = ISO_OS

5 - Install ISO_OS in Vmware = framedyn.dll error, addon with compiled autoit scripts= error, many addons not installed

6 - Delete OS

More clear my frieds?

This sequence I ever use with SP2 and hfslip-1.7.5 without errors . I try with SP3 and back to report.

`

EDIT: hfslip-1.7.5 works fine, no errors, all installed.

0d

Edited by 0d14r3
Link to comment
Share on other sites

I make the same error in my last XP version

I got a clean XP copies with SP3 (generated by MSDN)

I used HFSLIP to integrate WMP11, IE7, DirectX and Flash, and generating the NEWBIN.TXT

In Nlite i removed Windows Messenger, NetMeeting and MSN Explorer. And used the NEWBIN.TXT.

When completed the installation occurred the same error, "framedyn.dll not found" and the other is "-1 - variable can be object".

Look the result of wbemoc.inf, before nlite and after:

wbemoc_HFSLIP_.inf

WBEMOC_HFSLIP___NLITE_.INF

Edited by Ehdu
Link to comment
Share on other sites

WBEMOC.INF is partial corrupt made by HFSLIP.

That is an UNICODE file but not contain FF FE binary string at the begining of file.

I just realize that while testing WMP11 Slipstreamer.

Link to comment
Share on other sites

I make the same error in my last XP version

I got a clean XP copies with SP3 (generated by MSDN)

I used HFSLIP to integrate WMP11, IE7, DirectX and Flash, and generating the NEWBIN.TXT

In Nlite i removed Windows Messenger, NetMeeting and MSN Explorer. And used the NEWBIN.TXT.

When completed the installation occurred the same error, "framedyn.dll not found" and the other is "-1 - variable can be object".

Look the result of wbemoc.inf, before nlite and after:

Your nLite'd Wbemoc.inf is totally corrupted.

Double UNICODE converted. Or something like that...

String look like UNICODE but new line stings still ANSI.

Maybe other files are corrupt like this.

With that file WinXP will not install correct.

Edited by eryen
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.


×
×
  • Create New...